# Uses of Class
java.awt.dnd.DropTarget

Packages that use DropTarget
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.

## Uses of DropTarget in java.awt

Methods in java.awt that return DropTarget
Modifier and Type
Method
Description
`DropTarget`
Component.`getDropTarget()`
Gets the `DropTarget` associated with this `Component`.
Methods in java.awt with parameters of type DropTarget
Modifier and Type
Method
Description
`void`
Component.`setDropTarget​(DropTarget dt)`
Associate a `DropTarget` with this component.

## Uses of DropTarget in java.awt.dnd

Methods in java.awt.dnd that return DropTarget
Modifier and Type
Method
Description
`DropTarget`
DropTargetContext.`getDropTarget()`
This method returns the `DropTarget` associated with this `DropTargetContext`.